Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Oomph » Setup Task Filter and Eclipse Version
Setup Task Filter and Eclipse Version [message #1791512] Sun, 01 July 2018 13:56 Go to next message
Frank Becker is currently offline Frank BeckerFriend
Messages: 69
Registered: July 2009
Member
Is it possible that I can use the Eclipse Version to filter a setup task?

I want to know that because I have the following case.

We use a external component incompatible with the new Photon version. This component is a nice to have and I. went to allow to upgrade to Photon and skip the setup task with the external component.
Re: Setup Task Filter and Eclipse Version [message #1791515 is a reply to message #1791512] Sun, 01 July 2018 15:58 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29655
Registered: July 2009
Senior Member
No, a filter can't be used for that purpose. Does this external component fail to install, or it does it install but not function properly? If it fails to install, just mark the requirement optional and greedy. Greedy makes it install when available and optional makes p2 not fail when it's not available or not installable. The only thing you can use a filter with is the value of some variable or of some system property, so if you have your own product catalog, each version might specify a value for some specifically-named variable on which you could filter.
Re: Setup Task Filter and Eclipse Version [message #1791518 is a reply to message #1791515] Sun, 01 July 2018 18:28 Go to previous messageGo to next message
Frank Becker is currently offline Frank BeckerFriend
Messages: 69
Registered: July 2009
Member
Hi Ed,

yes we have a own product catalog and I will try to solve this with variables.

The external component has problems with the lifecycle events and show error over error. The latest supporter eclipse version is Neon, but we use this without problems with Oxygen.

We use the href to point to the external component in many other setups.

Will try this tomorrow at work.

Thanks
Re: Setup Task Filter and Eclipse Version [message #1791527 is a reply to message #1791518] Mon, 02 July 2018 04:15 Go to previous messageGo to next message
Eike Stepper is currently offline Eike StepperFriend
Messages: 6407
Registered: July 2009
Senior Member
Perhaps you can create your own feature which includes that external component and which specifies a narrow requirement on some Platform plugin. As Ed suggested, you could then declare an optional/greedy requirement on your custom feature in your P2 Director task.
Re: Setup Task Filter and Eclipse Version [message #1791863 is a reply to message #1791527] Fri, 06 July 2018 10:14 Go to previous messageGo to next message
Frank Becker is currently offline Frank BeckerFriend
Messages: 69
Registered: July 2009
Member
I have solve this by using the following Code.

<setupTask
xsi:type="setup.p2:P2Task"
filter="(!(scope.product.version.name=photon))">
<requirement
name="XXX"/>
<repository
url="XXX/"/>
<description>XXX</description>
</setupTask>

Thanks
Re: Setup Task Filter and Eclipse Version [message #1791870 is a reply to message #1791863] Fri, 06 July 2018 11:03 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 29655
Registered: July 2009
Senior Member
Cool, thanks for sharing that. I didn't think of the fact that the product version name variable is available if you're using the Eclipse.org product catalog.
Previous Topic:How to be in the "Github Projects" project list ?
Next Topic:Path location to setup file
Goto Forum:
  


Current Time: Tue Nov 20 08:35:33 GMT 2018

Powered by FUDForum. Page generated in 0.01595 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top